summaryrefslogtreecommitdiffstats
path: root/source/n/gnupg2
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2018-05-28 19:12:29 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 23:39:35 +0200
commit646a5c1cbfd95873950a87b5f75d52073a967023 (patch)
treeb8b8d2ab3b0d432ea69ad1a64d1c789649d65020 /source/n/gnupg2
parentd31c50870d0bee042ce660e445c9294a59a3a65b (diff)
downloadcurrent-646a5c1cbfd95873950a87b5f75d52073a967023.tar.gz
current-646a5c1cbfd95873950a87b5f75d52073a967023.tar.xz
Mon May 28 19:12:29 UTC 201820180528191229
a/pkgtools-15.0-noarch-13.txz: Rebuilt. installpkg: default line length for --terselength is the number of columns. removepkg: added --terse mode. upgradepkg: default line length for --terselength is the number of columns. upgradepkg: accept -option in addition to --option. ap/vim-8.1.0026-x86_64-1.txz: Upgraded. d/bison-3.0.5-x86_64-1.txz: Upgraded. e/emacs-26.1-x86_64-1.txz: Upgraded. kde/kopete-4.14.3-x86_64-8.txz: Rebuilt. Recompiled against libidn-1.35. n/conntrack-tools-1.4.5-x86_64-1.txz: Upgraded. n/libnetfilter_conntrack-1.0.7-x86_64-1.txz: Upgraded. n/libnftnl-1.1.0-x86_64-1.txz: Upgraded. n/links-2.16-x86_64-2.txz: Rebuilt. Rebuilt to enable X driver for -g mode. n/lynx-2.8.9dev.19-x86_64-1.txz: Upgraded. n/nftables-0.8.5-x86_64-1.txz: Upgraded. n/p11-kit-0.23.11-x86_64-1.txz: Upgraded. n/ulogd-2.0.7-x86_64-1.txz: Upgraded. n/whois-5.3.1-x86_64-1.txz: Upgraded. xap/network-manager-applet-1.8.12-x86_64-1.txz: Upgraded. xap/vim-gvim-8.1.0026-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source/n/gnupg2')
-rwxr-xr-xsource/n/gnupg2/gnupg2.SlackBuild56
-rw-r--r--source/n/gnupg2/slack-desc12
2 files changed, 23 insertions, 45 deletions
diff --git a/source/n/gnupg2/gnupg2.SlackBuild b/source/n/gnupg2/gnupg2.SlackBuild
index 0f41877c3..fbb43c7b1 100755
--- a/source/n/gnupg2/gnupg2.SlackBuild
+++ b/source/n/gnupg2/gnupg2.SlackBuild
@@ -1,7 +1,7 @@
-#!/bin/sh
+#!/bin/bash
# Copyright 2006-2010 Robby Workman, Northport, AL, USA
-# Copyright 2007-2010 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2007-2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -21,9 +21,10 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SCRIPT, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=gnupg2
-VERSION=${VERSION:-$(echo gnupg-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+VERSION=${VERSION:-$(echo gnupg-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:-" -j7 "}
@@ -38,9 +39,16 @@ if [ -z "$ARCH" ]; then
esac
fi
-CWD=$(pwd)
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
TMP=${TMP:-/tmp}
-PKG=$TMP/package-gnupg
+PKG=$TMP/package-gnupg2
if [ "$ARCH" = "i586" ]; then
SLKCFLAGS="-O2 -march=i586 -mtune=i686"
@@ -61,8 +69,8 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf gnupg-$VERSION
-tar xvf $CWD/gnupg-$VERSION.tar.?z* || exit 1
-cd gnupg-$VERSION
+tar xvf $CWD/gnupg-$VERSION.tar.?z || exit 1
+cd gnupg-$VERSION || exit 1
chown -R root:root .
find . \
@@ -82,7 +90,8 @@ CXXFLAGS="$SLKCFLAGS" \
--docdir=/usr/doc/gnupg2-$VERSION \
--program-prefix="" \
--program-suffix="" \
- --build=$ARCH-slackware-linux
+ --enable-gpg-is-gpg2 \
+ --build=$ARCH-slackware-linux || exit 1
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
@@ -115,37 +124,6 @@ mkdir -p $PKG/usr/doc/gnupg2-$VERSION
cp -a \
AUTHORS COPYING* INSTALL NEWS README* THANKS TODO VERSION \
$PKG/usr/doc/gnupg2-$VERSION
-# Build html docs
-( cd doc
- make gnupg.html
- mv gnupg.html $PKG/usr/doc/gnupg2-$VERSION/html
-)
-# Fix some filenames in the html directory
-( cd $PKG/usr/doc/gnupg2-$VERSION/html
-mv how_002dto_002dspecify_002da_002duser_002did.html howto_specify_user_id.html
-mv GnuPG_002d1-and-GnuPG_002d2.html GnuPG_1-and-GnuPG_2.html
-mv gpg_002dpreset_002dpassphrase.html gpg_preset_passphrase.html
-mv gpgsm_002dgencert_002esh.html gpgsm_gencert_sh.html
-mv Invoking-gpg_002dpreset_002dpassphrase.html Invoking-gpg_preset_passphrase.html
-mv Invoking-gpg_002dconnect_002dagent.html Invoking-gpg_connect_agent.html
-mv gpg_002dconnect_002dagent.html gpg_connect_agent.html
-mv Agent-GET_005fCONFIRMATION.html Agent-GET_CONFIRMATION.html
-mv option-_002d_002denable_002dssh_002dsupport.html option-enable_ssh_support.html
-mv option-_002d_002doptions.html option-options.html
-mv Invoking-GPG_002dAGENT.html Invoking-GPG_AGENT.html
-mv gpg_002dzip.html gpg_zip.html
-mv option-_002d_002dp12_002dcharset.html option-p12_charset.html
-mv option-_002d_002dallow_002dmark_002dtrusted.html option-allow_mark_trusted.html
-mv Controlling-gpg_002dconnect_002dagent.html Controlling-gpg_connect_agent.html
-mv Agent-GET_005fPASSPHRASE.html Agent-GET_PASSPHRASE.html
-mv option-_002d_002dhomedir.html option-homedir.html
-mv PKCS_002315-Card.html PKCS-15-Card.html
-mv option-_002d_002dexport_002downertrust.html option-export_ownertrust.html
-mv option-_002d_002dlog_002dfile.html option-logfile.html
-mv option-watchgnupg-_002d_002dtcp.html option-watchgnupg-tcp.html
-)
-# Move html doc to the proper location
-mv $PKG/usr/doc/gnupg2-$VERSION/faq.html $PKG/usr/doc/gnupg2-$VERSION/html/
# If there's a ChangeLog, installing at least part of the recent history
# is useful, but don't let it get totally out of control:
diff --git a/source/n/gnupg2/slack-desc b/source/n/gnupg2/slack-desc
index c64d7fb67..015fbbba3 100644
--- a/source/n/gnupg2/slack-desc
+++ b/source/n/gnupg2/slack-desc
@@ -1,19 +1,19 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
gnupg2: GnuPG2 (The GNU Privacy Guard version 2.x)
gnupg2:
-gnupg2: GnuPG is GNU's tool for secure communication and data storage. It can
-gnupg2: be used to encrypt data and to create digital signatures. It includes
+gnupg2: GnuPG is GNU's tool for secure communication and data storage. It can
+gnupg2: be used to encrypt data and to create digital signatures. It includes
gnupg2: an advanced key management facility and is compliant with the proposed
gnupg2: OpenPGP Internet standard as described in RFC2440 and the S/MIME
gnupg2: standard as described by several RFCs.
gnupg2:
gnupg2: GnuPG 2.0 is the stable version of GnuPG integrating support for
-gnupg2: OpenPGP and S/MIME. It does not conflict with an installed 1.4.x
+gnupg2: OpenPGP and S/MIME. It does not conflict with an installed 1.4.x
gnupg2: OpenPGP-only version.